﻿Imports C1.Win.C1TrueDBGrid
Imports C1.Win.C1Preview

Public Class CustomPrintPreviewForm
    Inherits PrintForm

    Dim c1PrintPreviewControl As C1PrintPreviewControl

    Private Sub CustomPrintPreviewForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        'the printpreview control
        c1PrintPreviewControl = CType(Me.Controls(0), C1PrintPreviewControl)

        'hide the open button
        c1PrintPreviewControl.ToolBars.File.Open.Visible = False

        'list of the FormatKey(s) of all the available ExportProviders
        Dim exportProviderFormatKeys As New List(Of String)

        Dim count = c1PrintPreviewControl.ExportOptions.Count
        For index = 0 To count - 1
            'disable the export options shown in the save button
            c1PrintPreviewControl.ExportOptions(index).ShowOptions = False

            'create a list of the FormatKey(s) of all the available ExportProviders
            exportProviderFormatKeys.Add(c1PrintPreviewControl.ExportOptions(index).ExportProvider.FormatKey)
        Next

        'Get the index of required ExporterOption using the Format key (custom xlsx export provider in our case)
        Dim indexOfExporterOption = c1PrintPreviewControl.ExportOptions.IndexByExportProviderFormatKey(exportProviderFormatKeys(17))

        'set the default provider to the ExportProvider(our custom provider) of the above fetched ExporterOption
        c1PrintPreviewControl.ExportOptions.DefaultProvider = c1PrintPreviewControl.ExportOptions(indexOfExporterOption).ExportProvider

        'disable the default Xlsx Export provider after we add our custom Xlsx Export provider
        Dim indexOfDefaultXlsxExportProvider = c1PrintPreviewControl.ExportOptions.IndexByExportProviderFormatKey(exportProviderFormatKeys(5))
        c1PrintPreviewControl.ExportOptions(indexOfDefaultXlsxExportProvider).Enabled = False
    End Sub

End Class
